Subject: Re: linux-next: Tree for Oct 3

From: Guenter Roeck <[email-masked]>
Date: Fri, 04 Oct 2013 19:07:29 -0700

On 10/04/2013 10:04 AM, Olof Johansson wrote:
> On Fri, Oct 4, 2013 at 6:44 AM, Guenter Roeck <[email-masked]> wrote:
>> On 10/03/2013 10:41 PM, Olof Johansson wrote:
>>>
>>> On Thu, Oct 3, 2013 at 10:23 PM, Guenter Roeck <[email-masked]> wrote:
>>>>
>>>> On 10/03/2013 06:02 PM, Mark Brown wrote:
>>>>>
>>>>>
>>>>> Hi all,
>>>>>
>>>>> Better late than never I've uploaded today's linux-next tree to the
>>>>> master branch of the repository below:
>>>>>
>>>>>            git://gitorious.org/thierryreding/linux-next.git
>>>>>
>>>>> A next-20131003 tag is also provided for convenience.
>>>>>
>>>>> A few new conflicts today caused by the removal of the h8300
>>>>> architecture which I didn't report for triviality.  Several new build
>>>>> failures were found as a result of running allmodconfig tests between
>>>>> merges all of which have been reported and I'm still carrying the i.MX
>>>>> fix that Thierry has been carrying.
>>>>>
>>>>> Due to the length of time taken to run all the allmodconfigs I skipped
>>>>> the defconfig tests; I know Olof has the ARM stuff covered in his
>>>>> autobuilder.  I'm going to use allyesconfig tomorrow since that should
>>>>> run faster so hopefully I can cover the ARM, i386 and x86_64 configs
>>>>> again.
>>>>>
>>>>
>>>> I could try to set up the buildbot farm I am using for -stable candidates
>>>> to also test the -next tree. Would that help ?
>>>
>>>
>>> ARM is pretty well-covered by my builds, I post results at:
>>>
>>> http://lists.linaro.org/mailman/listinfo/kernel-build-reports
>>>
>>
>> Great summaries. Do you have a single builder, or several builders and
>> collect the results ? Either case, any chance sharing the buildbot scripts ?
>
> My buildbot scripts are some pretty ugly hacks that I don't
> particularly feel like publishing to the world. I can send you a copy
> though.
>
Not much different to the quality of mine :). Would be great if you can send me a copy.

For my scripts, I still have some secrets in there like my gmail password
in the clear. I'll have to make sure it is removed before I can publish it.

> The builder is one single beefy machine that i have on loan. It
> wouldn't be hard to make it distributed instead though; I've toyed
> around with prototypes for that in the past.
>
I would love to have something like that .. mine essentially consists
of four PCs with quad-core CPUs, plus two smaller systems which are
not always online.

Thanks,
Guenter